Bug 501711 - Traceback when running autorun from LACD
Traceback when running autorun from LACD
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: releng (Show other bugs)
4.8
All Linux
high Severity high
: rc
: ---
Assigned To: Daniel Mach
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 09:02 EDT by Alexander Todorov
Modified: 2009-08-04 06:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-04 06:09:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2009-05-20 09:02:24 EDT
Description of problem:
Traceback when running the autorun script on the extras CD (LACD).


Version-Release number of selected component (if applicable):
system-config-packages-1.2.23-2

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL4/U8, default package set
2. After first boot, mount the LACD disk (or let automount)
3. run /media/cdrom/automount
  
Actual results:
The GUI start and as soon as you hit the Next button it crashes:

hal devs is {}
hal devs is {}
Traceback (most recent call last):
  File "/usr/share/system-config-packages/InstallDruid.py", line 524, in ?
    druid.run ()
  File "/usr/share/system-config-packages/InstallDruid.py", line 459, in run
    self.do_system_info_state ()
  File "/usr/share/system-config-packages/InstallDruid.py", line 329, in do_system_info_state
    hdlist = self.method.readHeaders()
  File "/usr/share/system-config-packages/method.py", line 550, in readHeaders
    return GroupSet.HeaderListFromFile(self.baseDir + "/hdlist", self, update_method)
  File "/usr/share/system-config-packages/GroupSet.py", line 527, in __init__
    hdlist = rpm.readHeaderListFromFile(path)
rpm.error: (2, 'No such file or directory')


Expected results:
One is able to install packages from the extra disk using GUI.

Additional info:
Comment 3 Jeremy Katz 2009-05-20 11:15:48 EDT
This is a malformed LACD.  There's no RedHat/base/hdlist on the disc
Comment 9 Ben Levenson 2009-05-22 08:41:00 EDT
should this be moved to MODIFIED ?
Comment 11 Daniel Mach 2009-08-04 06:09:25 EDT
This bug has been already fixed.
Closing.

Note You need to log in before you can comment on or make changes to this bug.